[Forgot Password]
Login  Register Subscribe

23631

 
 

126941

 
 

98250

 
 

909

 
 

79281

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2008-3546

Date: (C)2008-08-07   (M)2017-11-18 


Stack-based buffer overflow in the (1) diff_addremove and (2) diff_change functions in GIT before 1.5.6.4 might allow local users to execute arbitrary code via a PATH whose length is larger than the system's PATH_MAX when running GIT utilities such as git-diff or git-grep.

CVSS Score: 7.5Access Vector: NETWORK
Exploit Score: 10.0Access Complexity: LOW
Impact Score: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL





Reference:
SECTRACK-1020627
http://www.securityfocus.com/archive/1/archive/1/495391/100/0/threaded
BID-30549
SECUNIA-31347
SECUNIA-31780
SECUNIA-32029
SECUNIA-32384
SECUNIA-33964
ADV-2008-2306
DSA-1637
FEDORA-2008-9080
GLSA-200809-16
USN-723-1
http://kerneltrap.org/mailarchive/git/2008/7/16/2529284
git-multiple-bo(44217)
http://wiki.rpath.com/Advisories:rPSA-2008-0253
http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.6.4.txt
https://issues.rpath.com/browse/RPL-2707

CWE    1
CWE-119
OVAL    2
oval:org.mitre.oval:def:7389
oval:org.secpod.oval:def:700471

© 2013 SecPod Technologies